Index: uspace/lib/gui/button.c
===================================================================
--- uspace/lib/gui/button.c	(revision c821184900f17ef522a28aef06369f66ec1d6e4c)
+++ uspace/lib/gui/button.c	(revision a53ed3a8097360ccf174e8d94fb407db919eb66a)
@@ -174,5 +174,5 @@
 		btn->caption = str_dup(caption);
 	
-	int rc = embedded_font_create(&btn->font, points);
+	errno_t rc = embedded_font_create(&btn->font, points);
 	if (rc != EOK) {
 		free(btn->caption);
Index: uspace/lib/gui/label.c
===================================================================
--- uspace/lib/gui/label.c	(revision c821184900f17ef522a28aef06369f66ec1d6e4c)
+++ uspace/lib/gui/label.c	(revision a53ed3a8097360ccf174e8d94fb407db919eb66a)
@@ -163,5 +163,5 @@
 		lbl->caption = str_dup(caption);
 	
-	int rc = embedded_font_create(&lbl->font, points);
+	errno_t rc = embedded_font_create(&lbl->font, points);
 	if (rc != EOK) {
 		free(lbl->caption);
Index: uspace/lib/gui/terminal.c
===================================================================
--- uspace/lib/gui/terminal.c	(revision c821184900f17ef522a28aef06369f66ec1d6e4c)
+++ uspace/lib/gui/terminal.c	(revision a53ed3a8097360ccf174e8d94fb407db919eb66a)
@@ -62,14 +62,14 @@
 static LIST_INITIALIZE(terms);
 
-static int term_open(con_srvs_t *, con_srv_t *);
-static int term_close(con_srv_t *);
-static int term_read(con_srv_t *, void *, size_t, size_t *);
-static int term_write(con_srv_t *, void *, size_t, size_t *);
+static errno_t term_open(con_srvs_t *, con_srv_t *);
+static errno_t term_close(con_srv_t *);
+static errno_t term_read(con_srv_t *, void *, size_t, size_t *);
+static errno_t term_write(con_srv_t *, void *, size_t, size_t *);
 static void term_sync(con_srv_t *);
 static void term_clear(con_srv_t *);
 static void term_set_pos(con_srv_t *, sysarg_t col, sysarg_t row);
-static int term_get_pos(con_srv_t *, sysarg_t *, sysarg_t *);
-static int term_get_size(con_srv_t *, sysarg_t *, sysarg_t *);
-static int term_get_color_cap(con_srv_t *, console_caps_t *);
+static errno_t term_get_pos(con_srv_t *, sysarg_t *, sysarg_t *);
+static errno_t term_get_size(con_srv_t *, sysarg_t *, sysarg_t *);
+static errno_t term_get_color_cap(con_srv_t *, console_caps_t *);
 static void term_set_style(con_srv_t *, console_style_t);
 static void term_set_color(con_srv_t *, console_color_t, console_color_t,
@@ -77,5 +77,5 @@
 static void term_set_rgb_color(con_srv_t *, pixel_t, pixel_t);
 static void term_set_cursor_visibility(con_srv_t *, bool);
-static int term_get_event(con_srv_t *, cons_event_t *);
+static errno_t term_get_event(con_srv_t *, cons_event_t *);
 
 static con_ops_t con_ops = {
@@ -376,15 +376,15 @@
 }
 
-static int term_open(con_srvs_t *srvs, con_srv_t *srv)
+static errno_t term_open(con_srvs_t *srvs, con_srv_t *srv)
 {
 	return EOK;
 }
 
-static int term_close(con_srv_t *srv)
+static errno_t term_close(con_srv_t *srv)
 {
 	return EOK;
 }
 
-static int term_read(con_srv_t *srv, void *buf, size_t size, size_t *nread)
+static errno_t term_read(con_srv_t *srv, void *buf, size_t size, size_t *nread)
 {
 	terminal_t *term = srv_to_terminal(srv);
@@ -463,5 +463,5 @@
 }
 
-static int term_write(con_srv_t *srv, void *data, size_t size, size_t *nwritten)
+static errno_t term_write(con_srv_t *srv, void *data, size_t size, size_t *nwritten)
 {
 	terminal_t *term = srv_to_terminal(srv);
@@ -504,5 +504,5 @@
 }
 
-static int term_get_pos(con_srv_t *srv, sysarg_t *col, sysarg_t *row)
+static errno_t term_get_pos(con_srv_t *srv, sysarg_t *col, sysarg_t *row)
 {
 	terminal_t *term = srv_to_terminal(srv);
@@ -515,5 +515,5 @@
 }
 
-static int term_get_size(con_srv_t *srv, sysarg_t *cols, sysarg_t *rows)
+static errno_t term_get_size(con_srv_t *srv, sysarg_t *cols, sysarg_t *rows)
 {
 	terminal_t *term = srv_to_terminal(srv);
@@ -527,5 +527,5 @@
 }
 
-static int term_get_color_cap(con_srv_t *srv, console_caps_t *caps)
+static errno_t term_get_color_cap(con_srv_t *srv, console_caps_t *caps)
 {
 	(void) srv;
@@ -575,5 +575,5 @@
 }
 
-static int term_get_event(con_srv_t *srv, cons_event_t *event)
+static errno_t term_get_event(con_srv_t *srv, cons_event_t *event)
 {
 	terminal_t *term = srv_to_terminal(srv);
@@ -751,5 +751,5 @@
 	term->srvs.sarg = term;
 	
-	int rc = loc_server_register(NAME);
+	errno_t rc = loc_server_register(NAME);
 	if (rc != EOK) {
 		widget_deinit(&term->widget);
Index: uspace/lib/gui/window.c
===================================================================
--- uspace/lib/gui/window.c	(revision c821184900f17ef522a28aef06369f66ec1d6e4c)
+++ uspace/lib/gui/window.c	(revision a53ed3a8097360ccf174e8d94fb407db919eb66a)
@@ -163,5 +163,5 @@
 	
 	font_t *font;
-	int rc = embedded_font_create(&font, 16);
+	errno_t rc = embedded_font_create(&font, 16);
 	if (rc != EOK) {
 		window_yield(widget->window);
@@ -404,5 +404,5 @@
 	
 	/* Inform compositor about new surface. */
-	int rc = win_resize(win->osess, offset_x, offset_y, width, height,
+	errno_t rc = win_resize(win->osess, offset_x, offset_y, width, height,
 	    placement_flags, surface_direct_access(new_surface));
 	
@@ -493,5 +493,5 @@
 
 /* Window event loop. Runs in own dedicated fibril. */
-static int event_loop(void *arg)
+static errno_t event_loop(void *arg)
 {
 	bool is_main = false;
@@ -561,7 +561,7 @@
 
 /* Input fetcher from compositor. Runs in own dedicated fibril. */
-static int fetch_input(void *arg)
-{
-	int rc;
+static errno_t fetch_input(void *arg)
+{
+	errno_t rc;
 	bool terminate = false;
 	window_t *win = (window_t *) arg;
@@ -618,5 +618,5 @@
 	
 	service_id_t reg_dsid;
-	int rc = loc_service_get_id(winreg, &reg_dsid, 0);
+	errno_t rc = loc_service_get_id(winreg, &reg_dsid, 0);
 	if (rc != EOK) {
 		free(win);
@@ -677,5 +677,5 @@
 }
 
-int window_set_caption(window_t *win, const char *caption)
+errno_t window_set_caption(window_t *win, const char *caption)
 {
 	char *cap;
Index: uspace/lib/gui/window.h
===================================================================
--- uspace/lib/gui/window.h	(revision c821184900f17ef522a28aef06369f66ec1d6e4c)
+++ uspace/lib/gui/window.h	(revision a53ed3a8097360ccf174e8d94fb407db919eb66a)
@@ -78,5 +78,5 @@
 
 /** Change window caption. */
-extern int window_set_caption(window_t *, const char *);
+extern errno_t window_set_caption(window_t *, const char *);
 
 /**
